Subject: bug#31446: 26.1; sql-interactive-mode buffer naming is broken

From: Michael Mauger <[email-masked]>
Date: Tue, 29 May 2018 22:51:35 -0400

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On May 29, 2018 7:32 PM, Phil Sainty <[email-masked]> wrote:
> 
> On 2018-05-30 02:36, Michael Mauger wrote:
> 
> > I realize that 26.1 has been released, so my changes obviously won't
> > make it. I have a version of the package with vastly improved and
> > consistent buffer naming but I want to now test it more heavily.
> 
> If it's in a state where some help with testing would be useful,
> perhaps you could push the new code to a separate branch? (My own
> availability is rather patchy for the next 2-3 weeks, but I should be
> able to give it a decent whirl over the next few days, and maybe
> others can too?)

I expect to make an initial commit to master in a couple of days of sql.el. 
That will be followed up with a commit of improved DOCSTRINGs, tests,
and possibly an Info file.

I'll leave it to Eli et al. to decide whether the sql.el on master gets merged 
into the emacs-26 branch later.

​--
[email-masked] // FSF and EFF member // GNU Emacs sql.el maintainer​